Arduino

Reference Language | Libraries | Comparison | Changes

Servo

## attach()

#### Description

Attach the Servo variable to a pin. Note that in Arduino 0016 and earlier, the Servo library supports only servos on only two pins: 9 and 10.

#### Syntax

servo.attach(pin)
servo.attach(pin, min, max)

#### Parameters

servo: a variable of type Servo

pin: the number of the pin that the servo is attached to

min (optional): the pulse width, in microseconds, corresponding to the minimum (0-degree) angle on the servo (defaults to 544)

max (optional): the pulse width, in microseconds, corresponding to the maximum (180-degree) angle on the servo (defaults to 2400)

#### Example

    #include <Servo.h>

    Servo myservo;

    void setup()
    {
      myservo.attach(9);
    }

    void loop() {}

#### See also

- attached()
- detach()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes